### Method

# Rsvg Handle get_pixbuf_and_error

since: 2.59

#### Declaration [src]

    GdkPixbuf*
    rsvg_handle_get_pixbuf_and_error (
      RsvgHandle* handle
      GError** error
    )

#### Description [src]

Returns the pixbuf loaded by `handle`. The pixbuf returned will be reffed, so the caller of this function must assume that ref.

API ordering: This function must be called on a fully-loaded `handle`. See the section “API ordering” for details.

This function depends on the `RsvgHandle`‘s dots-per-inch value (DPI) to compute the “natural size” of the document in pixels, so you should call `rsvg_handle_set_dpi()` beforehand.

Available since: 2.59

#### Return value

Type: `GdkPixbuf`

A pixbuf, or `NULL` on error during rendering.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.